# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXQueryDistantLight

Function

Returns information about a distant Light.

Syntax
`
#include <dx/dx.h>
`

Light DXQueryDistantLight(Light l, Vector *direction, RGBColor *color)

Functional Details

Determines whether `l` is a distant Light and returns in `*direction` and `*color` the information specified when the light was created. The light source is located at an infinite distance from the scene in the direction specified by `direction`.

Return Value

Returns `l` (if it is a Distant Light) or `NULL` (if it is another type) without setting an error code; otherwise, returns `NULL` and sets an error code.

See Also

`DXNewDistantLight`

16.8 , "Light Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]